<?php
namespace AkTest\Orm\Service;

use AkTest\Orm\AbstractTestCase;
use Doctrine\Common\Annotations\Reader;

/**
 * Class MappingReaderTest
 *
 * @package AkTest\Orm\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/orm
 */
final class AnnotationReaderTest extends AbstractTestCase
{
    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertContainerHasService($container, 'orm.annotation_reader', Reader::class);
    }
}